[Haskell-cafe] Re: [darcs-users] Poll: Do you need to be able to build darcs from source on GHC 6.6?

Matthias Kilian kili at outback.escape.de
Wed Oct 29 11:17:42 EDT 2008

On Wed, Oct 29, 2008 at 12:11:22PM +1100, Trent W. Buck wrote:
> To my mind, the benefit is negligible, because:
>   Then we still have OpenBSD users.
> means we can't drop GHC 6.6 support.  Also, note that Lenny has 6.8,
> and it is scheduled to become stable Real Soon Now.

Ok, it all depends on when the next release of darcs will be ready
and when I (or someone else) gets ghc-6.8 or 6.10 done for OpenBSD
(yes, I'm working on this, even after I dropped maintainership from
our ghc port).

I *hope* to get a working ghc-6.10 port for OpenBSD to the end of
this year, and I guess that's a short enough timeline that darcs
could drop 6.6 support if it's really necessary.


More information about the Haskell-Cafe mailing list